List Evaluation Datasets
curl --request GET \
--url https://api.egp.scale.com/v4/evaluation-datasetsimport requests
url = "https://api.egp.scale.com/v4/evaluation-datasets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.egp.scale.com/v4/evaluation-datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.egp.scale.com/v4/evaluation-datasets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.egp.scale.com/v4/evaluation-datasets"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.egp.scale.com/v4/evaluation-datasets")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.egp.scale.com/v4/evaluation-datasets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"name": "<string>",
"schema_type": "GENERATION",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"test_case_count": 123,
"evaluation_dataset_versions": [
{
"num": 123,
"evaluation_dataset_id": "<string>",
"draft": true,
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"published_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"knowledge_base_id": "<string>",
"evaluation_dataset_metadata": {},
"out_of_date": true,
"vendor": "scale",
"archived_at": "2023-11-07T05:31:56Z",
"schema_sub_type": "summarization"
}
],
"total_item_count": 123,
"current_page": 123,
"items_per_page": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Evaluation Datasets
List Evaluation Datasets
Description
Lists all evaluation datasets accessible to the user.
Details
This API can be used to list evaluation datasets. If a user has access to multiple accounts, all evaluation datasets from all accounts the user is associated with will be returned.
GET
/
v4
/
evaluation-datasets
List Evaluation Datasets
curl --request GET \
--url https://api.egp.scale.com/v4/evaluation-datasetsimport requests
url = "https://api.egp.scale.com/v4/evaluation-datasets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.egp.scale.com/v4/evaluation-datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.egp.scale.com/v4/evaluation-datasets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.egp.scale.com/v4/evaluation-datasets"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.egp.scale.com/v4/evaluation-datasets")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.egp.scale.com/v4/evaluation-datasets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"items": [
{
"name": "<string>",
"schema_type": "GENERATION",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"test_case_count": 123,
"evaluation_dataset_versions": [
{
"num": 123,
"evaluation_dataset_id": "<string>",
"draft": true,
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"created_by_user_id": "<string>",
"created_by_identity_type": "user",
"published_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"knowledge_base_id": "<string>",
"evaluation_dataset_metadata": {},
"out_of_date": true,
"vendor": "scale",
"archived_at": "2023-11-07T05:31:56Z",
"schema_sub_type": "summarization"
}
],
"total_item_count": 123,
"current_page": 123,
"items_per_page": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Query Parameters
Available options:
DatasetVersion, TestCaseCount Page number for pagination to be returned by the given endpoint. Starts at page 1
Required range:
x >= 1Maximum number of artifacts to be returned by the given endpoint. Defaults to 100 and cannot be greater than 10k.
Required range:
1 <= x <= 10000Response
Successful Response
The data returned for the current page.
Show child attributes
Show child attributes
The total number of items of the query
The current page number.
The number of items per page.

